summaryrefslogtreecommitdiffstats
path: root/system-boot/frontend/live-boot
diff options
context:
space:
mode:
Diffstat (limited to 'system-boot/frontend/live-boot')
-rwxr-xr-xsystem-boot/frontend/live-boot20
1 files changed, 20 insertions, 0 deletions
diff --git a/system-boot/frontend/live-boot b/system-boot/frontend/live-boot
new file mode 100755
index 0000000..2df56fe
--- /dev/null
+++ b/system-boot/frontend/live-boot
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# set -e
+
+# Reading configuration file from filesystem and live-media
+for _FILE in /etc/live/boot.conf /etc/live/boot/*
+do
+ if [ -e "${_FILE}" ]
+ then
+ . "${_FILE}"
+ fi
+done
+
+for _COMPONENT in /lib/live/boot/????-*
+do
+ if [ -e "${_COMPONENT}" ]
+ then
+ . ${_COMPONENT}
+ fi
+done